.TH x9407 1 "15 Nov 1998" Linux "Linux Programmer's Manual"
.SH NAME
x9407 \- SAM9407 control panel
.SH SYNOPSIS
\fBx9407\fR \fR[\fB-toolkitoption\fR] [\fB-card\fR \fIcardNr\fR]
.SH DESCRIPTION
\fBx9407\fR controls various settings of SAM9407
based soundcards.

.SH OPTIONS
accepts all of the standard X Toolkit command line options as well as
the following:
.TP
.B "-card \fIcardNr\fB"
Start the mixer on soundcard number \fIcardNr\fR.
.TP
.B "-syncWithFile \fIfileName\fB"
Keep mixer values in sync with the given \fIfileName\fR.
Refer to the corresponding resource description for more information.

.SH RESOURCES
The program understands all of the core X Toolkit resource names and
classes as well as:
.TP
.B "card (\fRclass\fB Card, \fRdefault\fB 0)"
Start the mixer on soundcard number \fIcardNr\fR.
.TP
.B "adjustRelatedButton (\fRclass\fB AdjustRelatedButton, \fRdefault\fB 2)"
If the user holds this button down, while adjusting a Dial control element,
the related control element will be adjusted too.
Related control elements usually refer to the other channel, so
use this to adjust e.g. left and right volume simultaneously.
.TP
.B "errorMsgTimeout (\fRclass\fB ErrorMsgTimeout, \fRdefault\fB 2000)"
This is the time in milliseconds,
an error message will be displayed at the message label, located
at the very bottom of the window.
.TP
.B "syncWriteDelay (\fRclass\fB SyncWriteDelay, \fRdefault\fB 10000)"
The delay in milliseconds before the sync file will be updated,
after the user changed a value. However, if the user
selects another card or closes the application, the sync file
will be written anyway.
.TP
.B "pollValueInterval (\fRclass\fB PollValueInterval, \fRdefault\fB 2000)"
.TP
The interval in milliseconds between updates of readonly values that require polling.
.B "pollPeakMeterInterval (\fRclass\fB PollPeakMeterInterval, \fRdefault\fB 250)"
The interval in millseconds the peak meter table will be retrieved
from the card and displayed.
.TP
.B "verifyChannelOwnerDelay (\fRclass\fB VerifyChannelOwnerDelay, \fRdefault\fB 500)"
If the owner of audio channels are displayed, the actual command of the owning process
might change (e.g. redirecting output with "audio-command >/dev/sam0_dsp").
Therefore after a process opened a channel, the owner will be verified once after this
amount of time in milliseconds.
.TP
.B "syncWithFile (\fRclass\fB SyncWithFile, \fRdefault\fB NULL)"
If specified, the mixer values will be in sync with the filename given.
Whenever a card is selcted, values from this file are loaded.
Whenever a card is deselected, or the application is closed, or the user
changed a value, this file will be updated.
The value can contain embedded \fB%c\fR elements, which will be replaced
byt the card number, that starts with \fB0\fR.

.SH "SEE ALSO"
sam9407(8), sam9407.conf(5), sam9407(4)

.SH AUTHOR
Gerd Rausch <gerd@meshed.net>
